#page-header {
     background: transparent !important;
}

#page-header.post-bg:before {
     position: absolute;
     top: 0;
     left: 0;
     display: block;
     width: 100%;
     height: 100%;
     background-color: rgba(0, 0, 0, 0.5);
     content: '';
}